attribute vec4 gl_Vertex;
uniform mat4 gl_ModelViewProjectionMatrix;

varying vec3 position;

void main(void)
{
    gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;
    position = vec3(gl_ModelViewMatrix * gl_Vertex);
    gl_TexCoord[0] = gl_MultiTexCoord0;
}

